Package: org.grails.web.mapping.mvc

## [Groovy] Class GrailsControllerUrlMappingInfo

- org.grails.web.mapping.mvc.GrailsControllerUrlMappingInfo

- All Implemented Interfaces and Traits:
    UrlMappingInfo

      class GrailsControllerUrlMappingInfo
      extends java.lang.Object
      implements UrlMappingInfo

  A UrlMappingInfo that holds a reference to the controller to be executed

  Since:
    3.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private GrailsControllerClass` | `controllerClass` |
    `private UrlMappingInfo` | `info` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `GrailsControllerClass` | `controllerClass`
    `UrlMappingInfo` | `info`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsControllerUrlMappingInfo (GrailsControllerClass controllerClass, UrlMappingInfo info)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private GrailsControllerClass controllerClass

    - #### @groovy.lang.Delegate private UrlMappingInfo info

  - ### Property Detail

    - #### GrailsControllerClass controllerClass

    - #### @groovy.lang.Delegate UrlMappingInfo info

  - ### Constructor Detail

    - #### GrailsControllerUrlMappingInfo(GrailsControllerClass controllerClass, UrlMappingInfo info)